@font-face {
    font-family: IRANSans;
    src: url('../fonts/IRANSans/IRANSansWeb_Light.woff'), url('../fonts/IRANSans/IRANSansWeb_Light.woff') format('truetype');
    font-weight: normal;
}

body {
    direction: ltr;
    text-align: left;
    font-family: IRANSans, system-ui, sans-serif;
}


/*
 **********************************public styles*************************************
*/

.bg-gray {
    background-color: #404E67;
    color: #dcdcdc;
}

.pointer {
    cursor: pointer;
}


/*
 **************************************box styles**********************************
*/

.info-box-body h5 {
    font-size: .9rem;
    line-height: 1rem;
}

.info-box-body p {
    line-height: 1rem;
    font-size: .7rem;
}

.info-box-icon i {
    font-size: 2rem;
}

.info-box-footer {
    font-size: .6rem;
}


/*
 ********************************custom backgrounds**********************************
*/

.bg-custom-yellow {
    background: -webkit-gradient(linear, left top, right top, from(#feb798), to(#fe9365));
    background: linear-gradient(to right, #feb798, #fe9365);
}

.bg-custom-green {
    background: -webkit-gradient(linear, left top, right top, from(#0df3a3), to(#0ac282));
    background: linear-gradient(to right, #0df3a3, #0ac282);
}

.bg-custom-pink {
    background: -webkit-gradient(linear, left top, right top, from(#fe909d), to(#fe5d70));
    background: linear-gradient(to right, #fe909d, #fe5d70);
}

.bg-custom-light-green {
    background: -webkit-gradient(linear, left top, right top, from(#01dbdf), to(#01a9ac));
    background: linear-gradient(to right, #01dbdf, #01a9ac);
}


/*
 ********************************custom font size**********************************
*/

.font-size-10 {
    font-size: 10px;
}

.font-size-12 {
    font-size: 12px;
}

.font-size-14 {
    font-size: 14px;
}

.font-size-16 {
    font-size: 16px;
}

.font-size-18 {
    font-size: 18px;
}


/*
 ********************************body container**********************************
*/

.main-body-container {
    background-color: #FFFFFF;
    margin: 1rem 0;
    border-radius: .25rem;
    padding: 1rem;
}

.main-body-container-header h5 {
    font-size: 1.2rem;
    font-weight: bold;
}

.main-body-container-header p {
    font-size: .8rem;
    color: #777;
}

.main-body {
    font-size: 0.8rem;
}

.main-body table {
    font-size: 0.75rem;
}


/* admin posts */

.alert_required {
    color: white !important;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 4px;
    bottom: 3px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}

input:checked+.slider {
    background-color: #2196F3;
}

input:focus+.slider {
    box-shadow: 0 0 1px #2196F3;
}

input:checked+.slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}


/* Rounded sliders */

.slider.round {
    border-radius: 34px;
    margin: 4px;
}

.slider.round:before {
    border-radius: 50%;
}


/* sweet alert reform */

.swal2-html-container {
    text-align: center;
}


/* toast wrapper */

.toast-wrapper {
    position: fixed;
    z-index: 9999;
    top: 3rem;
    left: 0;
    width: 26rem;
    max-width: 80%;
    padding: 2rem;
}